Get status
With the transaction ID obtained from createTransaction or createFixTransaction call, you can get exchange status to notify your user or provide additional support.
info
Changelly is not able to independently contact or reach partners’ users.
In case the transaction gets hold status it is the API partner’s responsibility to provide instructions to the user. The user should contact the Changelly’s security team at [email protected] to pass the KYC procedure or any other required procedures.
HTTP request
post
/v2/#getStatusRequest
Header parameters
Requires authentication.
Body parameters
Requires JSON-RPC 2.0 protocol request body.
The params parameter schema:
| Name | Type | Required | Description |
|---|---|---|---|
| id | string | true | Transaction ID. |
Sample request payload
application/json
{
"jsonrpc": "2.0",
"id": "test",
"method": "getStatus",
"params": {
"id": "pgj********2minj"
}
}
Sample cURL
curl --location --request POST 'https://api.changelly.com/v2' \
--header 'X-Api-Key: {{apiKey}}' \
--header 'X-Api-Signature: {{sign}}' \
--data-raw '{
"jsonrpc": "2.0",
"id": "test",
"method": "getStatus",
"params": {
"id": "pgj********2minj"
}
}'
Response
Response parameters
Requires JSON-RPC 2.0 protocol response body.
The result parameter schema:
| Name | Type | Description |
|---|---|---|
| result | string | Transaction status. Possible values. |
Sample response
application/json
{
"jsonrpc": "2.0",
"id": "test",
"result": "waiting"
}
Error response
Error response parameters
Check the error response schema.
Error codes
| Code | Message | Description |
|---|---|---|
-32601 | Method not found | The method you're calling doesn't exist. |
-32602 | Parameter {param} is invalid | You've specified an invalid parameter. |
-32603 | Error: You reached requests limit {limit} rps | You have sent requests more than the RPS limit. The default RPS limit is 10. |
-32603 | Internal Error or Error | Most likely, the problem is on our side. Further investigation is required. |
-32603 | The method is not allowed for api key | The method is unavailable for the API key. |